@echo off

echo **********************************************
echo ** OpenWii(2.4)-Auto-Flasher for ATMega8    **
echo **                                          **
echo ** by Rudi                                  **
echo ** Updated by Andii                         **
echo **********************************************
echo ** Credits: OpenWii-Team                    **
echo **                   @badzoo                **
echo **                         DeScRamBleR      **
echo **********************************************

:CHOOSE_REGION
echo.
echo        Choose Region of your Wii !
set /P REGION=           (P)AL, (U)SA, (J)AP 

if /I "%REGION%"=="P" (
        avrdude -p m8 -c sp12 -U flash:w:openwii-loader.hex -U eeprom:w:0x02,0x60:m -U lfuse:w:0xE3:m -U hfuse:w:0xDB:m -v
        goto ENDE
        )
if /I "%REGION%"=="U" (
        avrdude -p m8 -c sp12 -U flash:w:openwii-loader.hex -U eeprom:w:0x01,0x60:m -U lfuse:w:0xE3:m -U hfuse:w:0xDB:m -v
        goto ENDE
        )
if /I "%REGION%"=="J" (
        avrdude -p m8 -c sp12 -U flash:w:openwii-loader.hex -U eeprom:w:0x00,0x60:m -U lfuse:w:0xE3:m -U hfuse:w:0xDB:m -v
        goto ENDE
        )
goto CHOOSE_REGION

:ENDE
echo.
echo.
echo              DONE !
echo.
pause
